org.eclipse.net4j.util.container

## Interface IPluginContainer

- All Superinterfaces:
    IContainer<java.lang.Object>, IDeactivateable, ILifecycle, IManagedContainer, INotifier

      public interface IPluginContainer
      extends IManagedContainer

  A `managed container` that is configured by the `extension registry` .
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IManagedContainer

      `IManagedContainer.ContainerAware`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IPluginContainer` | `INSTANCE`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IManagedContainer

      `addPostProcessor, addPostProcessor, clearElements, getElement, getElement, getElementKey, getElements, getElements, getFactory, getFactoryRegistry, getFactoryTypes, getName, getPostProcessors, getProductGroups, loadElements, putElement, registerFactory, removeElement, removePostProcessor, saveElements, setName`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### INSTANCE

          static final IPluginContainer INSTANCE

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html